## org.apache.poi.ss.formula.ptg
Class BoolPtg

    java.lang.Object
      org.apache.poi.ss.formula.ptg.Ptg
          org.apache.poi.ss.formula.ptg.ScalarConstantPtg
              org.apache.poi.ss.formula.ptg.BoolPtg

    public final class BoolPtg

extends ScalarConstantPtg

Boolean (boolean) Stores a (java) boolean value in a formula.

Author:
  Paul Krause (pkrause at soundbite dot com), Andrew C. Oliver (acoliver at apache dot org), Jason Height (jheight at chariot dot net dot au)

Field Summary
`static byte` `sid`
`static int` `SIZE`

Fields inherited from class org.apache.poi.ss.formula.ptg.Ptg
`CLASS_ARRAY, CLASS_REF, CLASS_VALUE, EMPTY_PTG_ARRAY`

Method Summary
`int` `getSize()`
`boolean` `getValue()`
`static BoolPtg` `read(LittleEndianInput in)`
`java.lang.String` `toFormulaString()` return a string representation of this token alone
`static BoolPtg` `valueOf(boolean b)`
`void` `write(LittleEndianOutput out)`

Methods inherited from class org.apache.poi.ss.formula.ptg.ScalarConstantPtg
`getDefaultOperandClass, isBaseToken, toString`

Methods inherited from class org.apache.poi.ss.formula.ptg.Ptg
`createPtg, doesFormulaReferToDeletedCell, getEncodedSize, getEncodedSizeWithoutArrayData, getPtgClass, getRVAType, readTokens, serializePtgs, setClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### SIZE

    public static final int SIZE

See Also:
  Constant Field Values

### sid

    public static final byte sid

See Also:
  Constant Field Values

Method Detail

### valueOf

    public static BoolPtg valueOf(boolean b)

### read

    public static BoolPtg read(LittleEndianInput in)

### getValue

    public boolean getValue()

### write

    public void write(LittleEndianOutput out)

  Specified by:
    `write` in class `Ptg`

### getSize

    public int getSize()

  Specified by:
    `getSize` in class `Ptg`
  Returns:
    the encoded length of this Ptg, including the initial Ptg type identifier byte.

### toFormulaString

    public java.lang.String toFormulaString()

  Description copied from class: `Ptg`
  return a string representation of this token alone

  Specified by:
    `toFormulaString` in class `Ptg`

Copyright 2012 The Apache Software Foundation or its licensors, as applicable.